Documentation

Company Search Endpoint

Cost3 credits / Company URL

Search for companies that meet a set of criteria within our exhaustive dataset of company profiles.

This API endpoint can return at most 10,000,000 results per search.

Each search expression for a parameter is limited to a maximum of 255 characters. Search expressions follow the Boolean Search Syntax.

GET
/api/v2/search/company

Authorization

BearerAuth client
AuthorizationBearer <token>

In: header

Scope: client

Query Parameters

country?string

Filter companies with an office based in this country. This parameter accepts a case-insensitive Alpha-2 ISO3166 country code.

region?string

Filter companies with an office based in this region. A “region” in this context means “state,” “province,” or similar political division, depending on what country you’re querying.

city?string

Filter companies based in cities matching the provided search expression.

type?string

Filter companies of the provided type.
Possible values:

  • EDUCATIONAL: Educational Institution
  • GOVERNMENT_AGENCY: Government Agency
  • NON_PROFIT : Nonprofit
  • PARTNERSHIP : Partnership
  • PRIVATELY_HELD : Privately Held
  • PUBLIC_COMPANY : Public Company
  • SELF_EMPLOYED : Self-Employed
  • SELF_OWNED : Sole Proprietorship
follower_count_min?string

Filter companies with a follower count of more than this value.

follower_count_max?string

Filter companies with a follower count less than this value.

name?string

Filter companies with a name matching the provided search expression.

industry?string

Filter companies belonging to an industry that matches the provided search expression. The industry attribute, found in a Company profile, describes the primary industry in which the company operates. The value of this attribute is an enumerator. See the full list of possible values for this attribute. We also infer a company's industry from various attributes. For example, the primary industry for https://www.linkedin.com/company/apple may be Computers and Electronics Manufacturing, but we may also classify it under Software Development. If you want to filter by the primary industry only, please refer to the primary_industry parameter.

primary_industry?string

Filter companies that has an industry that matches the provided search expression as the primary industry. The industry attribute, found in a Company profile, describes the primary industry in which the company operates. The value of this attribute is an enumerator. See the full list of possible values for this attribute.

employee_count_max?string

Filter companies with at most this many employees.

employee_count_min?string

Filter companies with at least this many employees.

description?string

Filter companies with a description matching the provided search expression.

founded_after_year?string

Filter companies founded after this year.

founded_before_year?string

Filter companies founded before this year.

funding_amount_max?string

Filter companies that have raised at most this much (USD) funding amount.

funding_amount_min?string

Filter companies that have raised at least this much (USD) funding amount.

funding_raised_after?string

Filter companies that have raised funding after this date.

funding_raised_before?string

Filter companies that have raised funding before this date.

public_identifier_in_list?string

A list of public identifiers (the identifying portion of the company’s profile URL). The target company’s identifier must be a member of this list.

public_identifier_not_in_list?string

A list of public identifiers (the identifying portion of the company’s profile URL). The target company’s identifier must not be a member of this list.

domain_name?string

Filter companies with a domain name matching the provided search expression.

page_size?string

Tune the maximum results returned per API call. The default value of this parameter is 100. Accepted values for this parameter is an integer ranging from 1 to 100. When enrich_profiles=enrich, this parameter accepts value ranging from 1 to 10.

enrich_profiles?string

Get the company's complete profile data rather than just the URLs to their profiles.
Each request respond with a streaming response of profiles.
The valid values are:

  • skip (default): lists company's profile url
  • enrich: include company's profile data in the list

Calling this API endpoint with this parameter would add 1 credit per enriched result returned.

use_cache?string

Define the freshness guarantee on the results returned. This parameter accepts the following values: if-present (default value) - Returns result as it is without any freshness guarantee if-recent - Will make a best effort to return results of profiles no older than 29 days. Costs 1 extra credit per result on top of the base cost of the endpoint for users on the Growth or larger subscription. For all other users, it will cost 2 extra credits per result on top of the base cost of the endpoint. Note: If usecache=if-recent, pagesize is limited to a value of 10 or smaller.

Response Body

application/json

curl -X GET "https://enrichlayer.com/api/v2/search/company?country=US&region=Maryland+OR+%22New+York%22&city=%22Los+Angeles%22&type=PRIVATELY_HELD&follower_count_min=1000&follower_count_max=10000&name=circle+%7C%7C+amelex&industry=technology+%7C%7C+manufacturing&primary_industry=software+development&employee_count_max=1000&employee_count_min=100&description=navy+or+naval&founded_after_year=1985&founded_before_year=2015&funding_amount_max=1000000&funding_amount_min=1000000&funding_raised_after=2019-12-30&funding_raised_before=2019-12-30&public_identifier_in_list=stripe%2Camazon&public_identifier_not_in_list=stripe%2Camazon&domain_name=pfizer.com&page_size=10&enrich_profiles=enrich&use_cache=if-present"
{
  "results": [
    {
      "linkedin_profile_url": "https://www.linkedin.com/company/apple/",
      "profile": {
        "linkedin_internal_id": "1441",
        "description": "A problem isn't truly solved until it's solved for all. Googlers build products that help create opportunities for everyone, whether down the street or across the globe. Bring your insight, imagination and a healthy disregard for the impossible. Bring everything that makes you unique. Together, we can build for everyone.\nCheck out our career opportunities at careers.google.com.",
        "website": "https://goo.gle/3m1IN7m",
        "industry": "Software Development",
        "company_size": [
          10001,
          null
        ],
        "company_size_on_linkedin": 319856,
        "hq": {
          "country": "US",
          "city": "Mountain View",
          "postal_code": "94043",
          "line_1": "1600 Amphitheatre Parkway",
          "is_hq": true,
          "state": "CA"
        },
        "company_type": "PUBLIC_COMPANY",
        "founded_year": null,
        "specialities": [
          "search",
          "ads"
        ],
        "locations": [
          {
            "country": "US",
            "city": "Mountain View",
            "postal_code": "94043",
            "line_1": "1600 Amphitheatre Parkway",
            "is_hq": true,
            "state": "CA"
          },
          {
            "country": "US",
            "city": "New York",
            "postal_code": "10011",
            "line_1": "111 8th Ave",
            "is_hq": false,
            "state": "NY"
          }
        ],
        "name": "Google",
        "tagline": null,
        "universal_name_id": "google",
        "profile_pic_url": "https://assets.enrichlayer.com/pp/...",
        "background_cover_image_url": "https://assets.enrichlayer.com/pp/...",
        "search_id": "1441",
        "similar_companies": [
          {
            "name": "Amazon",
            "link": "https://www.linkedin.com/company/amazon",
            "industry": "Software Development",
            "location": "Seattle, WA"
          },
          {
            "name": "Microsoft",
            "link": "https://www.linkedin.com/company/microsoft",
            "industry": "Software Development",
            "location": "Redmond, Washington"
          }
        ],
        "affiliated_companies": [
          {
            "name": "YouTube",
            "link": "https://www.linkedin.com/company/youtube",
            "industry": "Software Development",
            "location": "San Bruno, CA"
          },
          {
            "name": "Google Cloud",
            "link": "https://www.linkedin.com/showcase/google-cloud",
            "industry": "Software Development",
            "location": "Mountain View, California"
          }
        ],
        "updates": [
          {
            "article_link": null,
            "image": "https://media.licdn.com/dms/image/C5605AQFthnjiTD6Mvg/videocover-high/0/1660754102856?e=2147483647&v=beta&t=PPOsA9J3vCTXWhuZclqSBQl7DLSDLvy5hKWlkHI85YE",
            "posted_on": {
              "day": 13,
              "month": 9,
              "year": 2022
            },
            "text": "Want to kick start your #LifeAtGoogle but not sure where to begin? Explore our Build Your Future site, where you can learn about developmental programs, learn tips for future interviews, sign up for informational events, and even hear real stories from Googlers who’ve been where you are now. Get started → https://bit.ly/3SKPzQB",
            "total_likes": 4267
          },
          {
            "article_link": null,
            "image": "https://media.licdn.com/dms/image/C4D22AQGcvTlKRR3qvQ/feedshare-shrink_2048_1536/0/1672854668558?e=1676505600&v=beta&t=whRRx9ULPEuyw_FgUg4Z3N3O9iksyJW7ewCGZA6ujdg",
            "posted_on": null,
            "text": "Ariana, welcome to Google. Here’s to a year full of growth, learning, and experiences at #LifeAtGoogle! 🎉",
            "total_likes": 397
          }
        ],
        "follower_count": 27472792,
        "meta": {
          "thin_profile": false,
          "last_updated": "2023-10-26T11:34:30Z"
        }
      },
      "last_updated": "2023-10-26T11:34:30Z"
    }
  ],
  "next_page": null,
  "total_result_count": 1
}
Empty
Empty
Empty
Empty
Empty
Empty
Empty